<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/CosTrading/Register.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - CosTrading::Register</title>
<link href="../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../global.html" >Global Namespace</a></span>
<span class="normal"><a href="../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">module <a href="../CosTrading.html" >CosTrading</a>
</div><div class="class-name">interface Register

</div><div class="links"><div class="file">File: <a href="../../File/CosTrading.idl.html" target="detail">CosTrading.idl</a></div> <div class="xref"></div> <div class="source"></div></div>  <img alt="Register-inheritance" src="Register-inheritance.png" hspace="8" vspace="8" border="0" usemap="#Register-inheritance_map" />
<map name="Register-inheritance_map"><area alt="Scopes/CosTrading/TraderComponents.html" href="TraderComponents.html" shape="rect" coords="5, 7, 208, 31" />
<area alt="Scopes/CosTrading/SupportAttributes.html" href="SupportAttributes.html" shape="rect" coords="232, 7, 427, 31" />
</map>
 <div class="doc"></div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Structs Summary:</div>
<div class="item"><div class="synopsis">struct <a href="Register/OfferInfo.html" >OfferInfo</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Exceptions Summary:</div>
<div class="item"><div class="synopsis">exception <a href="Register/InvalidObjectRef.html" >InvalidObjectRef</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">exception <a href="Register/UnknownPropertyName.html" >UnknownPropertyName</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">exception <a href="Register/InterfaceTypeMismatch.html" >InterfaceTypeMismatch</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">exception <a href="Register/ProxyOfferId.html" >ProxyOfferId</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">exception <a href="Register/MandatoryProperty.html" >MandatoryProperty</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">exception <a href="Register/ReadonlyProperty.html" >ReadonlyProperty</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">exception <a href="Register/NoMatchingOffers.html" >NoMatchingOffers</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">exception <a href="Register/IllegalTraderName.html" >IllegalTraderName</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">exception <a href="Register/UnknownTraderName.html" >UnknownTraderName</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">exception <a href="Register/RegisterNotSupported.html" >RegisterNotSupported</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Operations Summary:</div>
<div class="item"><div class="synopsis">&#160;<a href="../CosTrading.html#OfferId" >OfferId</a> <a class="name" id="export">export</a>(<span class="keyword">in</span> CORBA::Object <span class="variable">reference</span>, <span class="keyword">in</span> <a href="../CosTrading.html#ServiceTypeName" >ServiceTypeName</a> <span class="variable">type</span>, <span class="keyword">in</span> <a href="../CosTrading.html#PropertySeq" >PropertySeq</a> <span class="variable">properties</span>)  <a href="Register.html#export" > raises</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;void <a class="name" id="withdraw">withdraw</a>(<span class="keyword">in</span> <a href="../CosTrading.html#OfferId" >OfferId</a> <span class="variable">id</span>)  <a href="Register.html#withdraw" > raises</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;<a href="Register/OfferInfo.html" >OfferInfo</a> <a class="name" id="describe">describe</a>(<span class="keyword">in</span> <a href="../CosTrading.html#OfferId" >OfferId</a> <span class="variable">id</span>)  <a href="Register.html#describe" > raises</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;void <a class="name" id="modify">modify</a>(<span class="keyword">in</span> <a href="../CosTrading.html#OfferId" >OfferId</a> <span class="variable">id</span>, <span class="keyword">in</span> <a href="../CosTrading.html#PropertyNameSeq" >PropertyNameSeq</a> <span class="variable">del_list</span>, <span class="keyword">in</span> <a href="../CosTrading.html#PropertySeq" >PropertySeq</a> <span class="variable">modify_list</span>)  <a href="Register.html#modify" > raises</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;void <a class="name" id="withdraw_using_constraint">withdraw_using_constraint</a>(<span class="keyword">in</span> <a href="../CosTrading.html#ServiceTypeName" >ServiceTypeName</a> <span class="variable">type</span>, <span class="keyword">in</span> <a href="../CosTrading.html#Constraint" >Constraint</a> <span class="variable">constr</span>)  <a href="Register.html#withdraw_using_constraint" > raises</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;<a href="Register.html" >Register</a> <a class="name" id="resolve">resolve</a>(<span class="keyword">in</span> <a href="../CosTrading.html#TraderName" >TraderName</a> <span class="variable">name</span>)  <a href="Register.html#resolve" > raises</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<table width="100%" summary="Attributes Inherited from TraderComponents">
<tr><td colspan="2" class="heading">Attributes Inherited from TraderComponents</td></tr>
<tr><td class="inherited"><a href="TraderComponents.html#lookup_if" title="attribute TraderComponents::lookup_if">lookup_if</a>,
<a href="TraderComponents.html#register_if" title="attribute TraderComponents::register_if">register_if</a>,
<a href="TraderComponents.html#link_if" title="attribute TraderComponents::link_if">link_if</a>,
<a href="TraderComponents.html#proxy_if" title="attribute TraderComponents::proxy_if">proxy_if</a>,
<a href="TraderComponents.html#admin_if" title="attribute TraderComponents::admin_if">admin_if</a></td></tr></table>
<table width="100%" summary="Attributes Inherited from SupportAttributes">
<tr><td colspan="2" class="heading">Attributes Inherited from SupportAttributes</td></tr>
<tr><td class="inherited"><a href="SupportAttributes.html#supports_modifiable_properties" title="attribute SupportAttributes::supports_modifiable_properties">supports_modifiable_properties</a>,
<a href="SupportAttributes.html#supports_dynamic_properties" title="attribute SupportAttributes::supports_dynamic_properties">supports_dynamic_properties</a>,
<a href="SupportAttributes.html#supports_proxy_offers" title="attribute SupportAttributes::supports_proxy_offers">supports_proxy_offers</a>,
<a href="SupportAttributes.html#type_repos" title="attribute SupportAttributes::type_repos">type_repos</a></td></tr></table>
<!-- this part was generated by Detail -->

<div class="logo">Generated on Fri Apr 17 08:48:17 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
